Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.framework.autoproxy
Interface TargetSourceCreator

All Known Implementing Classes:
  AbstractBeanFactoryBasedTargetSourceCreator, LazyInitTargetSourceCreator, QuickTargetSourceCreator

    public interface TargetSourceCreator

Implementations can create special target sources, such as pooling target sources, for particular beans. For example, they may base their choice on attributes, such as a pooling attribute, on the target class.

AbstractAutoProxyCreator can support a number of TargetSourceCreators, which will be applied in order.

Author:
  Rod Johnson, Juergen Hoeller

Method Summary
`TargetSource` | `getTargetSource(Class<?> beanClass, String beanName)` Create a special TargetSource for the given bean, if any.

Method Detail

### getTargetSource

    TargetSource getTargetSource(Class<?> beanClass,
                                 String beanName)

  Create a special TargetSource for the given bean, if any.

  Parameters:
    `beanClass` - the class of the bean to create a TargetSource for
    `beanName` - the name of the bean
  Returns:
    a special TargetSource or `null` if this TargetSourceCreator isn't interested in the particular bean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD